all:
  children:
    tempest:
      hosts:
        controller: null
  hosts:
    controller:
      ansible_connection: ssh
      ansible_host: ***.***.***.***
      ansible_port: 22
      ansible_python_interpreter: auto
      ansible_user: zuul
      devstack_local_conf: &id001
        post-config:
          $MANILA_CONF:
            DEFAULT:
              server_migration_driver_continue_update_interval: 5
            ontap3:
              backend_availability_zone: manila-zone-1
          $NEUTRON_CONF:
            DEFAULT:
              global_physnet_mtu: '{{ external_bridge_mtu }}'
        test-config:
          $TEMPEST_CONFIG:
            compute:
              min_compute_nodes: '{{ groups[''compute''] | default([''controller''])
                | length }}'
            compute-feature-enabled:
              vnc_console: true
            service_available:
              manila: true
            share:
              backend_names: ontap,ontap3
              backend_replication_type: dr
              build_timeout: 300
              capability_create_share_from_snapshot_support: true
              capability_network_allocation_update_support: true
              capability_share_server_multiple_subnet_support: true
              capability_snapshot_support: true
              default_share_type_name: default
              enable_ip_rules_for_protocols: nfs
              enable_protocols: nfs
              image_password: manila
              migration_enabled: false
              migration_timeout: 300
              multi_backend: true
              multitenancy_enabled: true
              run_create_share_from_snapshot_in_another_pool_or_az_tests: true
              run_driver_assisted_migration_tests: false
              run_extend_tests: true
              run_host_assisted_migration_tests: false
              run_ipv6_tests: false
              run_manage_unmanage_snapshot_tests: true
              run_manage_unmanage_tests: true
              run_migration_with_preserve_snapshots_tests: false
              run_mount_snapshot_tests: false
              run_multiple_share_replicas_tests: true
              run_network_allocation_update_tests: true
              run_quota_tests: false
              run_replication_tests: true
              run_revert_to_snapshot_tests: true
              run_share_group_tests: true
              run_share_server_migration_tests: false
              run_share_server_multiple_subnet_tests: true
              run_shrink_tests: true
              run_snapshot_tests: true
              share_creation_retry_number: 2
              share_server_migration_timeout: 1500
              suppress_errors_in_cleanup: false
      devstack_localrc: &id002
        ADMIN_PASSWORD: ********
        DATABASE_PASSWORD: ********
        DEBUG_LIBVIRT_COREDUMPS: true
        ENABLE_TENANT_TUNNELS: false
        ENABLE_TENANT_VLANS: true
        ERROR_ON_CLONE: true
        FIXED_RANGE: ***.***.***.***/20
        FLOATING_RANGE: ***.***.***.***/24
        HOST_IP: '{{ hostvars[''controller''][''nodepool''][''private_ipv4''] }}'
        IPV4_ADDRS_SAFE_TO_USE: ***.***.***.***/20
        LIBVIRT_TYPE: '{{ devstack_libvirt_type | default("kvm") }}'
        LOGFILE: /opt/stack/logs/devstacklog.txt
        LOG_COLOR: false
        MANILA_ALLOW_NAS_SERVER_PORTS_ON_HOST: true
        MANILA_CONFIGURE_DEFAULT_TYPES: true
        MANILA_DEFAULT_SHARE_TYPE_EXTRA_SPECS: snapshot_support=True create_share_from_snapshot_support=True
        MANILA_ENABLED_BACKENDS: ontap,ontap2,ontap3
        MANILA_INSTALL_TEMPEST_PLUGIN_SYSTEMWIDE: false
        MANILA_OPTGROUP_DEFAULT_enabled_share_protocols: NFS
        MANILA_OPTGROUP_ontap2_backend_availability_zone: null
        MANILA_OPTGROUP_ontap2_driver_handles_share_servers: true
        MANILA_OPTGROUP_ontap2_filter_function: 1
        MANILA_OPTGROUP_ontap2_netapp_aggregate_name_search_pattern: null
        MANILA_OPTGROUP_ontap2_netapp_api_trace_pattern: ^\(?!\(perf\)\).*$
        MANILA_OPTGROUP_ontap2_netapp_login: null
        MANILA_OPTGROUP_ontap2_netapp_password: null
        MANILA_OPTGROUP_ontap2_netapp_root_volume_aggregate: null
        MANILA_OPTGROUP_ontap2_netapp_server_hostname: null
        MANILA_OPTGROUP_ontap2_netapp_trace_flags: api,method
        MANILA_OPTGROUP_ontap2_netapp_vserver_name_template: null
        MANILA_OPTGROUP_ontap2_replication_domain: null
        MANILA_OPTGROUP_ontap2_reserved_share_percentage: 1
        MANILA_OPTGROUP_ontap2_service_instance_password: manila
        MANILA_OPTGROUP_ontap2_share_backend_name: ontap2
        MANILA_OPTGROUP_ontap2_share_driver: manila.share.drivers.netapp.common.NetAppDriver
        MANILA_OPTGROUP_ontap3_backend_availability_zone: null
        MANILA_OPTGROUP_ontap3_driver_handles_share_servers: true
        MANILA_OPTGROUP_ontap3_filter_function: 1
        MANILA_OPTGROUP_ontap3_netapp_aggregate_name_search_pattern: null
        MANILA_OPTGROUP_ontap3_netapp_api_trace_pattern: ^\(?!\(perf\)\).*$
        MANILA_OPTGROUP_ontap3_netapp_login: null
        MANILA_OPTGROUP_ontap3_netapp_password: null
        MANILA_OPTGROUP_ontap3_netapp_root_volume_aggregate: null
        MANILA_OPTGROUP_ontap3_netapp_server_hostname: null
        MANILA_OPTGROUP_ontap3_netapp_trace_flags: api,method
        MANILA_OPTGROUP_ontap3_netapp_vserver_name_template: null
        MANILA_OPTGROUP_ontap3_replication_domain: null
        MANILA_OPTGROUP_ontap3_reserved_share_percentage: 1
        MANILA_OPTGROUP_ontap3_service_instance_password: manila
        MANILA_OPTGROUP_ontap3_share_backend_name: ontap3
        MANILA_OPTGROUP_ontap3_share_driver: manila.share.drivers.netapp.common.NetAppDriver
        MANILA_OPTGROUP_ontap_backend_availability_zone: null
        MANILA_OPTGROUP_ontap_driver_handles_share_servers: true
        MANILA_OPTGROUP_ontap_filter_function: 1
        MANILA_OPTGROUP_ontap_netapp_api_trace_pattern: ^\(?!\(perf\)\).*$
        MANILA_OPTGROUP_ontap_netapp_login: null
        MANILA_OPTGROUP_ontap_netapp_password: null
        MANILA_OPTGROUP_ontap_netapp_root_volume_aggregate: null
        MANILA_OPTGROUP_ontap_netapp_server_hostname: null
        MANILA_OPTGROUP_ontap_netapp_trace_flags: api,method
        MANILA_OPTGROUP_ontap_netapp_vserver_name_template: null
        MANILA_OPTGROUP_ontap_replication_domain: null
        MANILA_OPTGROUP_ontap_reserved_share_percentage: 1
        MANILA_OPTGROUP_ontap_service_instance_password: manila
        MANILA_OPTGROUP_ontap_share_backend_name: ontap
        MANILA_OPTGROUP_ontap_share_driver: manila.share.drivers.netapp.common.NetAppDriver
        MANILA_REPLICA_STATE_UPDATE_INTERVAL: 10
        MANILA_SERVER_MIGRATION_PERIOD_TASK_INTERVAL: 10
        MANILA_SHARE_MIGRATION_PERIOD_TASK_INTERVAL: 1
        MANILA_USE_DOWNGRADE_MIGRATIONS: true
        MANILA_USE_SCHEDULER_CREATING_SHARE_FROM_SNAPSHOT: true
        ML2_VLAN_RANGES: null
        NETWORK_GATEWAY: ***.***.***.***
        NOVA_VNC_ENABLED: true
        NOVNC_FROM_PACKAGE: true
        OVN_DBS_LOG_LEVEL: dbg
        PHYSICAL_NETWORK: physnet1
        PUBLIC_BRIDGE_MTU: '{{ external_bridge_mtu }}'
        PUBLIC_NETWORK_GATEWAY: ***.***.***.***
        Q_ML2_TENANT_NETWORK_TYPE: vlan
        Q_USE_PROVIDERNET_FOR_PUBLIC: false
        RABBIT_PASSWORD: ********
        SERVICE_HOST: '{{ hostvars[''controller''][''nodepool''][''private_ipv4'']
          }}'
        SERVICE_PASSWORD: ********
        SWIFT_HASH: 1234123412341234
        SWIFT_REPLICAS: 1
        SWIFT_START_ALL_SERVICES: false
        TEMPEST_USE_TEST_ACCOUNTS: true
        USE_PYTHON3: true
        VERBOSE: true
        VERBOSE_NO_TIMESTAMP: true
      devstack_plugins: &id003
        manila: https://opendev.org/openstack/manila
      devstack_services: &id004
        base: false
        c-api: true
        c-bak: true
        c-sch: true
        c-vol: true
        cinder: false
        dstat: false
        etcd3: true
        g-api: true
        horizon: false
        key: true
        memory_tracker: true
        mysql: true
        n-api: true
        n-api-meta: true
        n-cond: true
        n-cpu: true
        n-novnc: true
        n-sch: true
        ovn-controller: true
        ovn-northd: true
        ovs-vswitchd: true
        ovsdb-server: true
        placement-api: true
        q-ovn-metadata-agent: true
        q-svc: true
        rabbit: true
        s-account: false
        s-container: false
        s-object: false
        s-proxy: false
        tempest: true
        tls-proxy: true
      extensions_to_txt: &id005
        auto: true
        conf: true
        localrc: true
        log: true
        stackenv: true
        yaml: true
        yml: true
      nodepool:
        az: nova
        cloud: devstack-22
        external_id: 8de1445d-91cb-4bfb-a4a6-c36e0dac2320
        host_id: 4a3e6309873aa0022094b86e7a3173e19e83693fb92891997bec521e
        interface_ip: ***.***.***.***
        label: ubuntu-jammy-functional
        private_ipv4: ***.***.***.***
        private_ipv6: null
        provider: devstack-22
        public_ipv4: ***.***.***.***
        public_ipv6: ''
        region: null
      tempest_concurrency: 6
      tempest_plugins: &id006
      - manila-tempest-plugin
      tempest_test_regex: manila_tempest_tests.tests.api
      test_results_stage_name: test_results
      tox_envlist: all
      zuul_copy_output: &id007
        /etc/ceph: logs
        /etc/glusterfs/glusterd.vol: logs
        /etc/libvirt: logs
        /etc/resolv.conf: logs
        /etc/sudoers: logs
        /etc/sudoers.d: logs
        /var/log/ceph: logs
        /var/log/glusterfs: logs
        /var/log/libvirt: logs
        /var/log/mysql: logs
        /var/log/openvswitch: logs
        /var/log/postgresql: logs
        /var/log/rabbitmq: logs
        /var/log/unbound.log: logs
        '{{ devstack_base_dir }}/tempest/etc/accounts.yaml': logs
        '{{ devstack_base_dir }}/tempest/etc/tempest.conf': logs
        '{{ devstack_base_dir }}/tempest/tempest.log': logs
        '{{ devstack_conf_dir }}/.localrc.auto': logs
        '{{ devstack_conf_dir }}/.stackenv': logs
        '{{ devstack_conf_dir }}/local.conf': logs
        '{{ devstack_conf_dir }}/localrc': logs
        '{{ devstack_full_log}}': logs
        '{{ devstack_log_dir }}/devstacklog.txt': logs
        '{{ devstack_log_dir }}/devstacklog.txt.summary': logs
        '{{ devstack_log_dir }}/dstat-csv.log': logs
        '{{ devstack_log_dir }}/tcpdump.pcap': logs
        '{{ devstack_log_dir }}/worlddump-latest.txt': logs
        '{{ stage_dir }}/apache': logs
        '{{ stage_dir }}/apache_config': logs
        '{{ stage_dir }}/audit.log': logs
        '{{ stage_dir }}/core': logs
        '{{ stage_dir }}/deprecations.log': logs
        '{{ stage_dir }}/df.txt': logs
        '{{ stage_dir }}/dpkg-l.txt': logs
        '{{ stage_dir }}/etc': logs
        '{{ stage_dir }}/iptables.txt': logs
        '{{ stage_dir }}/listen53.txt': logs
        '{{ stage_dir }}/performance.json': logs
        '{{ stage_dir }}/pip2-freeze.txt': logs
        '{{ stage_dir }}/pip3-freeze.txt': logs
        '{{ stage_dir }}/rpm-qa.txt': logs
        '{{ stage_dir }}/stackviz': logs
        '{{ stage_dir }}/verify_tempest_conf.log': logs
        '{{ stage_dir }}/{{ test_results_stage_name }}.html': logs
        '{{ stage_dir }}/{{ test_results_stage_name }}.subunit': logs
  vars:
    devstack_local_conf: *id001
    devstack_localrc: *id002
    devstack_plugins: *id003
    devstack_services: *id004
    extensions_to_txt: *id005
    tempest_concurrency: 6
    tempest_plugins: *id006
    tempest_test_regex: manila_tempest_tests.tests.api
    test_results_stage_name: test_results
    tox_envlist: all
    zuul_copy_output: *id007
